# Uses of Enum
org.codehaus.janino.Parser.ClassDeclarationContext

Packages that use Parser.ClassDeclarationContext
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Parser.ClassDeclarationContext in org.codehaus.janino

Methods in org.codehaus.janino that return Parser.ClassDeclarationContext
Modifier and Type
Method
Description
`static Parser.ClassDeclarationContext`
Parser.ClassDeclarationContext.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parser.ClassDeclarationContext[]`
Parser.ClassDeclarationContext.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.codehaus.janino with parameters of type Parser.ClassDeclarationContext
Modifier and Type
Method
Description
`Java.NamedClassDeclaration`
Parser.`parseClassDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.ClassDeclarationContext context)`
ClassDeclarationRest := Identifier [ typeParameters ] [ 'extends' ReferenceType ] [ 'implements' ReferenceTypeList ] ClassBody
`Java.EnumDeclaration`
Parser.`parseEnumDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.ClassDeclarationContext context)`
EnumDeclarationRest := Identifier [ 'implements' ReferenceTypeList ] EnumBody